package frames

// This is the value stored in the FrameMap
var Cube = DefaultFrameType(CubeFrames)

var CubeFrames = []string{`++                 
          +++++               
         +++++++              
        +++++++++             
       +++++++++++            
      +++++++++++++           
     +++++++++++++++          
    +++++++++++++++**         
   +++++++++++++++****        
  +++++++++++++++******       
 +++++++++++++++********      
 ++++++++++++++**********     
  *+++++++++++************    
   *+++++++++**************   
    *+++++++****************  
     **++++*****************  
      **++*****************   
       *******************    
        *****************     
         ***************      
         @*************       
           ***********        
            *********         
             *******          
              *****           
               ***`,`++*                
          ++++=               
         ++++++=              
        ++++++++=             
       ++++++++++=            
      +++++++++++++           
     ++++++++++++++*          
    ++++++++++++++***         
   ++++++++++++++*****        
  ++++++++++++++*******       
 ++++++++++++++*********      
 +++++++++++++**********#     
  +++++++++++************#    
   +++++++++**************#   
    *++++++*****************  
     *++++******************  
      *++******************   
       *******************    
        *****************     
         ***************      
          *************       
           ***********        
            *********         
             *******          
              #****           
               ***`,`++                
           ++++               
          ++++++              
         ++++++++             
        ++++++++++            
       ++++++++++++           
      ++++++++++++++          
     ++++++++++++*++++        
    ++++++++++++***++++       
   ++++++++++++*****++++      
  ++++++++++++*******+++      
  +++++++++++*********+++     
  =+++++++++***********++=    
   ++++++++*************++:   
    ++++++****************+:  
     ++++*******************  
     +++*******************   
      +*******************    
       ******************     
        ****************      
          *************       
           ***********        
            *********         
             *******          
              *****           
               ***`,`++                
           ++++               
          ++++++              
         ++++++++             
        +++++++++++           
       +++++++++++++          
      +++++++++++++++         
     +++++++++++*+++++        
    +++++++++++****++++       
   +++++++++++******++++      
  +++++++++++********++++     
  ++++++++++**********+++     
   ++++++++************+++    
   +++++++**************++    
    +++++****************++   
    ++++*******************   
     ++*******************    
      *******************     
       *****************      
        ***************       
         *************        
          ***********         
           *********          
             ******           
              ****            
               **`,`++                
           ++++               
          ++++++              
         +++++++++            
        +++++++++++           
       +++++++++++++          
      +++++++++++++++         
     ++++++++++**+++++        
    ++++++++++****++++++      
   ++++++++++******+++=+      
  +++++++++++********++++     
  ++++++++++**********+++     
   ++++++++************+++    
   +++++++**************++    
    +++++****************++   
    ++++*******************   
     ++*******************    
     ********************     
      ******************      
        ***************       
         *************        
          ***********         
           *********          
            *******           
              ****            
               **`,`++                
           ++++               
          ++++++              
         +++++++++            
        +++++++++++           
       +++++++++++++          
      +++++++++++++++         
     ++++++++++**+++++        
    ++++++++++****++++++      
   ++++++++++******+++=+      
  +++++++++++********++++     
  ++++++++++**********+++     
   ++++++++************+++    
   +++++++**************++    
    +++++****************++   
    ++++*******************   
     ++*******************    
     ********************     
      ******************      
        ***************       
         *************        
          ***********         
           *********          
            *******           
              ****            
               **`,`++                
           ++++               
          +++++++             
         +++++++++            
        +++++++++++           
       +++++++++++++          
      +++++++++++++++%        
     ++++++++++**++++++       
    ++++++++++****++++++      
   ++++++++++******++++++     
  ++++++++++********+++++     
  +++++++++**********++++     
   +++++++*************+++    
   ++++++***************++    
    ++++*****************++   
    +++********************   
    +++*******************    
     ********************     
      ******************      
       ****************       
        @*************        
          ***********         
           *********          
            *******           
             #****            
               **`,`++                
           +++++              
          +++++++             
         +++++++++            
        +++++++++++           
       ++++++++++++++         
       +++++++++++++++        
      ++++++++**+++++++       
     ++++++++****++++++++     
    ++++++++******+++++++     
  %++++++++*********+++++     
  :+++++++***********++++=    
   +++++++************++++    
   ++++++**************+++    
   *++++*****************+*   
    +++********************   
    ++********************    
    *********************     
      ******************      
       ****************       
        **************        
         #***********         
           *********          
            *******           
             *****            
              ***`,`+++               
            ++++              
           ++++++             
          ++++++++=           
         +++++++++++          
        +++++++++++++         
       ++++++++++++++++       
      +++++++**+++++++++      
     +++++++****+++++++++     
    +++++++******+++++++++    
   +++++++*********+++++++    
   +++++++**********++++++    
   ++++++************+++++    
   +++++***************+++    
   ++++*****************++    
   +++********************    
   =+********************     
    ********************      
     ******************       
      ****************        
        *************         
         ************         
          **********          
            *******           
             *****            
              ***`,`++               
            ++++              
           +++++++            
          +++++++++           
         +++++++++++          
        ++++++++++++++        
       ++++++++++++++++       
      :+++++**++++++++++      
      +++++****+++++++++++    
     ++++++******+++++++=+    
    ++++++********++++++++    
    +++++**********+++++++    
   :++++*************+++++    
   ++++***************++++    
   +++*****************++=    
   ++********************:    
   ++********************     
   *********************      
    #******************       
      ****************        
       **************         
        @***********          
          *********           
           *******            
             *****            
              ***`,`++               
            ++++              
           +++++++            
          +++++++++           
         =++++++++++*         
         +++++++++++++        
        +++++++++++++++       
       +++++*++++++++++++     
      +++++****+++++++++++    
     +++++******++++++++=+    
    +++++********+++++++++    
    ++++***********+++++++    
    +++*************++++++    
    +++***************+++     
   +++*****************++     
   ++*******************+     
   ++*******************      
   ********************       
    ******************        
     *****************        
       **************         
        ************          
          *********           
           *******            
            *****             
              **`,`++               
            +++++             
           +++++++            
           ++++++++           
          +++++++++++         
         +++++++++++++        
        ++++++++++++++++      
       ++++*+++++++++++++     
       +++****++++++++++++=   
      +++******++++++++++++   
     ++++********+++++++++    
     +++**********++++++++    
    +++************++++++     
    ++***************++++     
   ++*****************+++     
   ++*******************      
  +********************       
  +********************       
    ******************        
     ****************         
       *************          
        ***********           
         **********           
           *******            
            *****             
              **`,`++               
            +++++             
            ++++++            
           +++++++++          
          +++++++++++         
         =++++++++++++        
         +++++++++++++++      
        ++**+++++++++++++     
       +++***++++++++++++++   
      +++******++++++++++++   
      ++********++++++++++    
     ++**********+++++++++    
     ++************++++++     
    ++**************+++++     
   =+*****************++      
   +*******************+      
  +********************       
  ********************        
   +*****************         
     ****************         
      **************          
        ***********           
         *********            
           *******            
            *****             
             ***`,`+++              
             ++++             
            ++++++            
           +++++++++          
           ++++++++++         
          +++++++++++++       
         *++++++++++++++      
        #**+++++++++++++++    
        ****+++++++++++++++   
       *******+++++++++++++   
      *********+++++++++++    
      ***********+++++++++    
     *************+++++++     
    ****************++++      
    *****************++=      
   ********************       
  ********************        
  *******************         
   ******************         
     ***************          
      *************           
       %***********           
         *********            
          *******             
            **+*#             
             ***`,`++              
             ++++             
            +++++++           
           +++++++++          
          +++++++++++         
         =+++++++++++++       
        *+++++++++++++++      
        **++++++++++++++++    
       *****+++++++++++++++   
       ******++++++++++++=+   
      *********+++++++++++*   
     ***********+++++++++*    
     ************+++++++*     
    ***************++++**     
   *****************+++*      
   ********************       
  *********************       
  ********************        
   ******************         
     ****************         
      **************          
       ************           
         *********            
          *******             
            *****             
             ***`,`++              
             ++++             
            +++++++           
           +++++++++          
          +++++++++++         
         =+++++++++++++       
        *+++++++++++++++      
        **++++++++++++++++    
       *****+++++++++++++++   
       ******++++++++++++=+   
      *********+++++++++++*   
     ***********+++++++++*    
     ************+++++++*     
    ***************++++**     
   *****************+++*      
   ********************       
  *********************       
  ********************        
   ******************         
     ****************         
      **************          
       ************           
         *********            
          *******             
            *****             
             ***`,`++              
             ++++             
            +++++++           
           +++++++++          
          ++++++++++++        
         ++++++++++++++       
        ++++++++++++++++      
       **+++++++++++++++++    
       ****++++++++++++++++   
      ******+++++++++++++=+%  
     *********++++++++++++*   
     **********++++++++++*    
    *************+++++++**    
    **************+++++**     
   ****************+++**      
  **********************      
  *********************       
  ********************#       
   *******************        
    *****************         
      ***************         
       *************          
         **********           
          ********            
           ******             
             ***`,`++              
             ++++*            
            +++++++           
          *+++++++++          
         +++++++++++++        
        +++++++++++++++       
       *++++++++++++++++      
       *++++++++++++++++++    
      ****+++++++++++++++++   
      ******+++++++++++++++%  
     ********+++++++++++++*   
    :*********+++++++++++*    
    ************+++++++***    
   **************+++++***     
   ****************++****     
  **********************      
  **********************      
  *********************       
   *******************#       
    ******************        
      ***************         
       *************          
        ***********           
          ********            
           ******             
             ***`,`++              
             +++++            
           ++++++++           
          ++++++++++          
         +++++++++++++        
        +++++++++++++++       
       +++++++++++++++++*     
      **++++++++++++++++++    
      ****+++++++++++++++++   
     ******++++++++++++++++%  
     *******++++++++++++++*   
    **********++++++++++**@   
    ***********++++++++***    
   *************++++++***%    
   ***************++*****     
  ***********************     
  **********************      
  **********************      
   ********************       
    *******************       
      ****************        
       *************#         
        ***********           
          ********            
           ******             
            ***`,`+++             
             +++++            
           ++++++++           
          ++++++++++          
        %+++++++++++++        
       ++++++++++++++++       
      *+++++++++++++++++      
      *+++++++++++++++++++    
     ****++++++++++++++++++   
     *****+++++++++++++++++@  
    ********+++++++++++++**   
    *********+++++++++++***   
   ***********++++++++****    
   *************+++++*****    
   **************+++*****     
  ***********************     
  **********************      
  **********************      
   ********************#      
    *******************       
      ****************        
       **************         
        ***********#          
          ********            
           ******             
            ***`,`+++             
             +++++            
           ++++++++           
          +++++++++++         
        ++++++++++++++        
       ++++++++++++++++       
     #++++++++++++++++++      
     **+++++++++++++++++++    
     ***+++++++++++++++++++   
    ******+++++++++++++++++   
    *******++++++++++++++**   
    ********+++++++++++****   
   ***********++++++++****    
   ************+++++******    
   *************+++******%    
  ***********************     
  ***********************     
  **********************      
   *********************      
    ********************      
      *****************       
       **************         
        ************          
          ********            
           ******             
            ***`,`+++             
             +++++            
           ++++++++           
         ++++++++++++         
        ++++++++++++++        
      +++++++++++++++++       
     +++++++++++++++++++      
     *+++++++++++++++++++=    
    ****+++++++++++++++++++   
    *****+++++++++++++++++*   
    ******+++++++++++++++**   
    ********+++++++++++****   
   **********++++++++*****    
   ***********++++++******    
   ************+++********    
  ***********************     
  ***********************     
  ***********************     
   *********************%     
    ********************      
      *****************@      
       ***************        
        ************          
         @********@           
           ******             
            ***`,`+++             
             +++++            
           ++++++++           
         ++++++++++++         
       =++++++++++++++        
      +++++++++++++++++       
    %+++++++++++++++++++      
    **+++++++++++++++++++     
    ***+++++++++++++++++++*   
    ****++++++++++++++++++*   
    ******++++++++++++++***   
   ********+++++++++++****    
   *********+++++++++*****    
   **********++++++*******    
   ***********+++*********    
  %**********************#    
  ***********************     
  ***********************     
   #*********************     
     ********************     
      ******************      
       ***************        
        ************          
         #*********           
           ******             
            ***`,`#++             
             +++++            
           ++++++++           
         ++++++++++++         
       +++++++++++++++        
     =+++++++++++++++++       
    *+++++++++++++++++++      
    *++++++++++++++++++++     
    ***+++++++++++++++++++%   
    ****++++++++++++++++++#   
   :*****+++++++++++++++**    
   *******++++++++++++****    
   ********+++++++++******    
   **********+++++********    
   ***********+++*********    
   ***********************    
  @***********************    
  @**********************     
    *********************     
     ********************     
      ******************      
       ***************        
        ************#         
         **********           
           ******             
            ***`,`++             
             +++++            
           ++++++++           
         +++++++++++          
       ++++++++++++++*        
     ++++++++++++++++++       
    ++++++++++++++++++++      
    *++++++++++++++++++++     
    **++++++++++++++++++++    
    ***++++++++++++++++++*    
   *****+++++++++++++++***    
   *******+++++++++++*****    
   ********+++++++++******    
   *********++++++********    
   **********+++**********    
   ***********************    
   ***********************    
   **********************#    
    *********************     
     ********************     
      *******************     
       ***************#       
        *************         
         #*********           
          @******             
            ***`,`++             
             +++++            
           ++++++++           
         +++++++++++          
       ++++++++++++++         
     +++++++++++++++++        
   *+++++++++++++++++++       
   **+++++++++++++++++++      
   ***++++++++++++++++++++    
   ****++++++++++++++++++*    
   *****+++++++++++++++***    
   ******++++++++++++*****    
   *******+++++++++*******    
   ********++++++*********    
   *********+++***********    
   ***********************    
   ***********************    
   ***********************    
    **********************    
     ********************#    
      *******************     
        ***************       
        @************         
         @*********           
          @******             
           @***`,`++             
             +++++            
           ++++++++           
         +++++++++++          
       ++++++++++++++         
    =+++++++++++++++++        
   ++++++++++++++++++++       
   *++++++++++++++++++++      
   **++++++++++++++++++++     
   ***++++++++++++++++++*     
   ****+++++++++++++++***     
   *****++++++++++++*****+    
    *****+++++++++********    
    ******++++++**********    
    *******+++************    
    **********************    
    **********************    
    **********************    
     *********************    
      ********************    
       ******************     
        ***************       
         ************         
         %*********           
          %******             
           ****`,`++             
             +++++            
           ++++++++           
         +++++++++++          
       ++++++++++++++         
    =+++++++++++++++++        
   ++++++++++++++++++++       
   *++++++++++++++++++++      
   **++++++++++++++++++++     
   ***++++++++++++++++++*     
   ****+++++++++++++++***     
   *****++++++++++++*****+    
    *****+++++++++********    
    ******++++++**********    
    *******+++************    
    **********************    
    **********************    
    **********************    
     *********************    
      ********************    
       ******************     
        ***************       
         ************         
         %*********           
          %******             
           ****`,`+++            
             +++++            
           ++++++++           
        #+++++++++++          
      +++++++++++++++         
    ++++++++++++++++++        
   ++++++++++++++++++++       
   *++++++++++++++++++++      
   **+++++++++++++++++++=     
   ***++++++++++++++++++*     
   #***+++++++++++++++***     
    ****++++++++++++*****     
    *****++++++++********     
    *****++++++**********     
    ******+++************+    
    **********************    
    **********************    
    **********************    
     *********************    
      ********************    
       ******************:    
        ***************       
         ************         
          *********           
          :******             
           ****`,`+++            
             +++=+            
           ++++++++           
        ++++++++++++          
      +++++++++++++++         
    ++++++++++++++++++        
   +++++++++++++++++++        
   *+++++++++++++++++++       
   **+++++++++++++++++++      
   **++++++++++++++++++*      
   @**+++++++++++++++****     
    ***++++++++++++******     
    ****+++++++++********     
    *****++++++**********     
    ******++*************     
    +********************+    
     *********************    
     *********************    
      ********************    
       *******************    
       *******************    
        ***************       
         ************         
          *********           
          *******             
           ****`,`+++            
             +++=+            
           ++++++++           
        ++++++++++++          
      +++++++++++++++         
    +++++++++++++++++         
   +++++++++++++++++++        
   *+++++++++++++++++++       
   **++++++++++++++++++       
   **++++++++++++++++++*      
    **++++++++++++++****      
    ***+++++++++++******      
    ***+++++++++*********     
    #***++++++***********     
     ****+++*************     
     ********************     
     *********************    
     *********************    
      ********************    
       *******************    
        ******************    
        ***************       
         ************         
          *********           
           ******             
           ***#`,`+++            
             +++=+            
           ++++++++           
        ++++++++++++          
      ++++++++++++++          
    +++++++++++++++++         
   ++++++++++++++++++:        
   +++++++++++++++++++        
   *+++++++++++++++++++       
    *+++++++++++++++++*       
    *+++++++++++++++***+      
    **+++++++++++*******      
    @**++++++++*********      
     **++++++***********+     
     ***+++**************     
      *******************     
      *******************@    
      ********************    
       *******************    
       #******************    
        ******************    
         **************       
         ************         
          *********           
           ******             
           ****`,`+++            
             +++=+            
           ++++++++           
        +++++++++++           
      ++++++++++++++          
    ++++++++++++++++          
   ++++++++++++++++++         
   +++++++++++++++++++        
   *++++++++++++++++++        
    *++++++++++++++++*#       
    *++++++++++++++****       
    %*+++++++++++******       
     *+++++++++*********      
     **+++++************      
      *+++**************%     
      *******************     
      +******************     
       *******************    
       *******************    
        ******************    
        #*****************    
         **************       
          ***********         
          *********           
           *+****             
           ***`,`+++            
             +++++            
           ++++++++           
         ++++++++++           
      ++++++++++++++          
    ++++++++++++++++          
   ++++++++++++++++++         
   ++++++++++++++++++         
   :++++++++++++++++++        
    ++++++++++++++++++        
    ++++++++++++++****        
     +++++++++++******+       
     +++++++++*********       
      ++++++************      
      +++***************      
       ******************     
       ******************     
       ******************+    
        ******************    
        ******************    
         *****************    
         **************       
          ***********         
          *********           
           *+***#             
           ***`,`+++            
             +++++%           
           ++++++++           
         ++++++++++*          
      ++++++++++++++          
    +++++++++++++++++         
   ++++++++++++++++++         
   +++++++++++++++++++        
   +++++++++++++++++++        
    +++++++++++++++++++       
    +++++++++++++****++       
    =++++++++++******+++      
     ++++++++*********++      
     ++++++***********++      
     =+++**************++     
      *****************++     
      ******************+     
       ******************+    
       ******************+    
        ******************    
        ******************    
         **************       
         #***********         
          *********           
          **+****             
           ***`,`=++            
             ++++++           
           ++++++++           
         +++++++++++          
      :+++++++++++++          
    +++++++++++++++++         
   ++++++++++++++++++:        
   +++++++++++++++++++        
   ++++++++++++++++++++       
    +++++++++++++++++++       
    +++++++++++++***++++      
    ++++++++++*******+++      
    ++++++++*********+++      
     +++++************+++     
     +++**************+++     
     +*****************++     
      *****************++     
      ******************++    
       ******************+    
       #******************    
        *****************+    
         **************       
         ************         
          *********           
          ******              
           ***`,`+++            
             ++++++           
           ++++++++           
         +++++++++++          
       ++++++++++++++         
     ++++++++++++++++         
   +++++++++++++++++++        
   ++++++++++++++++++++       
   ++++++++++++++++++++       
    ++++++++++++++*+++++      
    ++++++++++++***+++++*     
    ++++++++++******+++++     
    ++++++++*********++++     
    +++++************++++     
    +++***************+++     
    :******************++     
     ******************+++    
      ******************++    
      ******************++    
       ******************+    
        *****************     
        ***************       
         ************         
          ********%           
          ******              
           ***`,`+++            
             ++++++           
           +++++++++          
         +++++++++++          
       ++++++++++++++         
     +++++++++++++++++        
    ++++++++++++++++++        
    +++++++++++++++++++       
    ++++++++++++++++++++      
    +++++++++++++*++++++      
    +++++++++++****++++++     
    +++++++++******++++++     
    +++++++*********+++++     
    +++++************++++     
    +++**************++++     
    +*****************+++     
     ******************+++    
     +*****************+++    
      ******************++    
       ******************+    
       ******************     
        ***************       
         ************         
         *********            
          ******              
           ***`,`+++            
             ++++++           
           +++++++++          
         +++++++++++          
       ++++++++++++++         
     +++++++++++++++++        
    ++++++++++++++++++        
    +++++++++++++++++++       
    ++++++++++++++++++++      
    +++++++++++++*++++++      
    +++++++++++****++++++     
    +++++++++******++++++     
    +++++++*********+++++     
    +++++************++++     
    +++**************++++     
    +*****************+++     
     ******************+++    
     +*****************+++    
      ******************++    
       ******************+    
       ******************     
        ***************       
         ************         
         *********            
          ******              
           ***`,`++            
             *+++++           
           +++++++++          
         +++++++++++          
       ++++++++++++++         
     +++++++++++++++++        
    +++++++++++++++++++       
    +=+++++++++++++++++       
    ++++++++++++++++++++      
    +++++++++++++++++++++     
    ++++++++++****++++++++    
    ++++++++*******+++++++    
    ++++++*********+++++++    
   *++++************++++++    
   +++***************+++++    
   ******************+++++    
    ******************++++    
     ******************++     
      *****************++     
      *******************     
       *****************#     
        **************        
        :***********          
         *********            
          ******              
           ***`,`++            
              +++++           
            ++++++++          
         *++++++++++:         
       *+++++++++++++         
     =++++++++++++++++        
    +++++++++++++++++++       
    ++++++++++++++++++++      
    ++++++++++++++++++++      
    +++++++++++++++++++++     
    ++++++++++***+++++++++    
   +++++++++******++++++++    
   +++++++*********+++++++    
   +++++***********+++++++    
   ++***************++++++    
   ******************+++++    
    ******************+++:    
    ******************+++     
     ******************++     
      ******************+     
       *****************      
        **************        
        ************          
         *********            
          ******              
           ***`,`++            
              +++++           
            ++++++++          
          +++++++++++         
        +++++++++++++         
      ++++++++++++++++        
    :++++++++++++++++++       
    ++++++++++++++++++++      
    +++++++++++++++++++++     
    +++++++++++++++++++++*    
    +++++++++***++++++++++#   
   ++++++++******++++++++++   
   ++++++*********++++++++    
   ++++************+++++++    
  :++***************++++++    
  :*****************++++++    
   ******************++++     
    ******************+++     
     ******************++     
      ******************+     
       *****************      
       ***************        
        ************          
         *********            
          ******              
           ***`,`++            
              +++++           
            ++++++++          
          +++++++++++         
        ++++++++++++++        
      ++++++++++++++++        
     ++++++++++++++++++       
     +++++++++++++++++++      
    +++++++++++++++++++++     
    ++++++++++*+++++++++++    
    ++++++++***++++++++++++   
   +++++++******+++++++++++   
   +++++*********++++++++++   
   +++************++++++++    
  +++**************+++++++    
  ******************++++++    
   ******************++++     
    *****************++++     
     *****************+++     
     :*****************+      
      *****************       
       **************         
        ************          
         *********            
          ******              
           ***`,`++            
              +++++           
            ++++++++          
          +++++++++++         
        :+++++++++++++        
       +++++++++++++++*       
     ++++++++++++++++++%      
     +++++++++++++++++++      
     ++++++++++++++++++++     
    +++++++++*++++++++++++    
    +++++++****++++++++++++   
   +++++++******+++++++++++   
   +++++********+++++++++++   
  ++++***********+++++++++    
  ++**************++++++++    
  *****************++++++%    
   *****************+++++     
    *****************++++     
    ******************++      
     ******************+      
      *****************       
       **************         
        ***********           
         ********             
          ******              
           ***`,`++            
              +++++           
            ++++++++          
           ++++++++++         
         +++++++++++++        
       ++++++++++++++++       
      ++++++++++++++++++      
     ++++++++++++++++++++     
     ++++++++++++++++++++     
    ++++++++*+++++++++++++    
    +++++++***+++++++++++++%  
   =+++++******++++++++++++%  
   ++++*********+++++++++++   
  =++************+++++++++    
  ++*************+++++++++    
  ****************+++++++     
  *****************++++++     
   *****************++++      
    *****************+++      
     *****************+       
      ****************        
       **************         
        ***********           
         ********             
          *****               
           ***`,`++            
              +++++           
            %+++++++          
           ++++++++++         
         +++++++++++++        
        +++++++++++++++       
       +++++++++++++++++      
      +++++++++++++++++++     
     +++++++++++++++++++++    
     ++++++++++++++++++++++   
    ++++++***+++++++++++++++  
   =++++******++++++++++++++  
   ++++********++++++++++++   
  +++***********++++++++++    
 =++*************+++++++++    
 *****************+++++++     
  *****************++++++     
   *****************++++      
    *****************++       
     *****************+       
      ****************        
       *************          
        ***********           
         ********             
          *****               
           ***`,`++            
              +++++           
             +++++++          
           ++++++++++         
          ++++++++++++        
        +++++++++++++++       
       +++++++++++++++++      
      +++++++++++++++++++     
      ++++++++++++++++++++    
     ++++++++++++++++++++++   
    +++++***++++++++++++++++  
    ++++*****+++++++++++++++  
   +++********+++++++++++++   
  =++**********+++++++++++    
 +++************++++++++++    
 ****************++++++++     
  ****************++++++      
   ****************++++@      
    ****************+++       
     ****************+        
      ***************         
       *************          
        **********            
         ********             
          *****               
           ***`,`++            
              +++++           
             +++++++          
            +++++++++         
          ++++++++++++        
         ++++++++++++++       
        ++++++++++++++++      
       ++++++++++++++++++     
      ++++++++++++++++++++    
     ++++++++++++++++++++++   
     ++++**+++++++++++++++++  
    +++*****++++++++++++++++  
   +++*******++++++++++++++   
  =++*********++++++++++++    
 ++************++++++++++     
 ***************+++++++++     
  ***************+++++++      
   ***************+++++       
    ***************+++        
     ***************+%        
      **************#         
       ************           
        **********            
         *******              
          *****               
           ***`,`++            
              +++++           
             +++++++          
            +++++++++         
          ++++++++++++        
         ++++++++++++++       
        ++++++++++++++++      
       ++++++++++++++++++     
      ++++++++++++++++++++    
     ++++++++++++++++++++++   
     ++++**+++++++++++++++++  
    +++*****++++++++++++++++  
   +++*******++++++++++++++   
  =++*********++++++++++++    
 ++************++++++++++     
 ***************+++++++++     
  ***************+++++++      
   ***************+++++       
    ***************+++        
     ***************+%        
      **************#         
       ************           
        **********            
         *******              
          *****               
           ***`,`++            
              =++++           
             +++++++          
            +++++++++         
           +++++++++++        
         :+++++++++++++       
        ++++++++++++++++      
        +++++++++++++++++     
       +++++++++++++++++++    
      +++++++++++++++++++++   
     +++***+++++++++++++++++  
    +++*****++++++++++++++++  
   =++*******++++++++++++++   
  =+**********++++++++++++    
 ++************++++++++++     
 ***************++++++++      
  ***************++++++       
   ***************+++++       
    ***************+++        
     **************++         
      **************          
       ************           
        *********             
         *******              
          *****               
           ***`,`++            
               ++++           
             :++++++          
            +++++++++         
           +++++++++++        
          +++++++++++++       
         +++++++++++++++      
        +++++++++++++++++     
       +++++++++++++++++++    
      =++++++++++++++++++++   
     =++**++++++++++++++++++  
    -++****+++++++++++++++++  
   -+*******+++++++++++++++   
   +*********+++++++++++++    
 *************+++++++++++     
 **************+++++++++      
  **************+++++++       
   **************+++++        
    **************+++         
     **************+          
      *************           
       ***********            
        *********             
         *******              
          *****               
           ***`,`++            
               ++++           
              ++++++          
             ++++++++         
            ++++++++++        
           ++++++++++++       
          ++++++++++++++      
        =++++++++++++++++     
       +++++++++++++++++++    
      **+++++++++++++++++++   
     ****+++++++++++++++++++  
     *****+++++++++++++++++*  
    *******++++++++++++++++   
   *********+++++++++++++*    
 ************+++++++++++*     
 *************+++++++++*      
  *************+++++++*       
   *************+++++*        
    *************+++*         
     *************+*          
      *************           
       ***********            
        *********             
         *******              
          **+**               
           ***`,`++             
              ++++            
             ++++++           
            ++++++++          
           ++++++++++         
          ++++++++++++        
         ++++++++++++++       
        ++++++++++++++++      
       ++++++++++++++++++     
      *+++++++++++++++++++    
     ***+++++++++++++++++++=  
    *****+++++++++++++++++++  
   *******++++++++++++++++*   
   ********++++++++++++++*    
 %**********++++++++++++*     
 #***********++++++++++*      
  ************++++++++*       
   ************++++++**       
    ************+++**#        
     ************+**          
      *************           
       ***********            
        *********             
         *******              
          *****               
           ***`,`++             
              ++++            
             ++++++           
            ++++++++          
           ++++++++++         
          ++++++++++++        
        +++++++++++++++       
       +++++++++++++++++      
      +++++++++++++++++++     
     **+++++++++++++++++++    
     ***+++++++++++++++++++   
    *****++++++++++++++++++   
   *******+++++++++++++++**   
   ********+++++++++++++**    
  **********+++++++++++**     
  ***********+++++++++***     
   ***********+++++++***      
    ***********+++++***       
     ***********++****        
      ***************         
      @*************          
       @***********           
        @*********            
         @******              
          @****               
           @**`,`++             
              ++++            
             ++++++           
           +++++++++          
          +++++++++++         
         +++++++++++++        
        +++++++++++++++       
       +++++++++++++++++      
     ++++++++++++++++++++     
     *++++++++++++++++++++    
    ***++++++++++++++++++++   
    ****+++++++++++++++++++   
   ******++++++++++++++++*@   
   *******++++++++++++++**    
  *********++++++++++++***    
  **********+++++++++****     
   **********+++++++****      
    **********+++++*****      
     **********+++*****       
      **********+*****        
       *************          
        ***********           
         *********            
          *******             
           ****#              
            **`,`++             
              ++++            
            +++++++           
           +++++++++          
          +++++++++++         
         +++++++++++++        
       *+++++++++++++++       
      ++++++++++++++++++      
     ++++++++++++++++++++     
    *+++++++++++++++++++++    
    **+++++++++++++++++++++   
    ***+++++++++++++++++++*   
   *****+++++++++++++++++*    
   ******++++++++++++++***    
  ********++++++++++++****    
  *********++++++++++****     
   *********+++++++******     
    *********+++++******%     
     *********+++******       
      *********+******        
       **************         
        ***********#          
         *********            
          *******             
           *****              
            ***`,`++             
             +++++            
            +++++++           
           +++++++++          
         %++++++++++=         
        ++++++++++++++        
       +++++++++++++++        
      +++++++++++++++++       
    ++++++++++++++++++++      
    *++++++++++++++++++++     
    **++++++++++++++++++++    
   ****++++++++++++++++++*    
   *****++++++++++++++++**    
   ******++++++++++++++***    
   *******+++++++++++*****    
   ********+++++++++*****#    
    *******++++++++******     
     *******++++++*******     
      *******+++********      
      ********+********       
       **************         
        ************          
         **********           
          *******             
           *****              
            ***`,`+++             
             ++++=            
            ++++++            
          +++++++++           
         +++++++++++          
        +++++++++++++         
       +++++++++++++++        
     ++++++++++++++++++       
    ++++++++++++++++++++      
   *+++++++++++++++++++++     
   **+++++++++++++++++++++    
   ***+++++++++++++++++++*    
   ****+++++++++++++++++**    
   *****++++++++++++++****    
   ******++++++++++++*****    
   *******++++++++++******    
    *******+++++++********    
     *******+++++********%    
      *******+++********      
       ****************       
        **************        
         ***********          
          *********           
          ********            
           *****              
            ***`,`++              
             ++++             
            ++++++            
          +++++++++           
         +++++++++++          
        +++++++++++++         
      ++++++++++++++++        
     ++++++++++++++++++       
   ++++++++++++++++++++       
   *++++++++++++++++++++      
   **++++++++++++++++++++     
   ***++++++++++++++++++*#    
   ****++++++++++++++++***    
   ****+++++++++++++++****    
    ****++++++++++++******    
    *****++++++++++*******    
     *****++++++++********    
     ******+++++**********    
      ******+++**********     
       ****************       
        **************        
         ************         
          *********           
           *******            
            ****%             
            ***`,`++              
             ++++             
           +++++++            
          +++++++++           
         +++++++++++          
       +++++++++++++          
      +++++++++++++++         
    ++++++++++++++++++        
   ++++++++++++++++++++       
   +++++++++++++++++++++      
   *+++++++++++++++++++++     
   **+++++++++++++++++++*     
   ***++++++++++++++++***     
    ***++++++++++++++*****    
    ****++++++++++++******    
    *****+++++++++********    
     ****++++++++*********    
      ****+++++***********    
       ****+++***********     
        ****+***********      
        **************        
         ************         
          **********          
           *******            
            *****             
             **`,`++              
             ++++             
           +++++++            
          +++++++++           
         +++++++++++          
       +++++++++++++          
      +++++++++++++++         
    ++++++++++++++++++        
   ++++++++++++++++++++       
   +++++++++++++++++++++      
   *+++++++++++++++++++++     
   **+++++++++++++++++++*     
   ***++++++++++++++++***     
    ***++++++++++++++*****    
    ****++++++++++++******    
    *****+++++++++********    
     ****++++++++*********    
      ****+++++***********    
       ****+++***********     
        ****+***********      
        **************        
         ************         
          **********          
           *******            
            *****             
             **`,`++              
            +++++             
           +++++++            
          ++++++++            
        +++++++++++           
       +++++++++++++          
     *+++++++++++++++         
    ++++++++++++++++++        
  :+++++++++++++++++++        
  *++++++++++++++++++++       
   *++++++++++++++++++++      
   **++++++++++++++++++**     
    *+++++++++++++++++***     
    **++++++++++++++*****     
    #**++++++++++++*******    
     ***+++++++++*********    
      ***+++++++***********   
      ****+++++************   
       ***+++************     
        ****************      
         *************#       
          ***********         
          **********          
           *******            
            *****             
             ***`,`++              
            ++++*             
           ++++++             
         +++++++++            
        +++++++++++           
       +++++++++++++          
     +++++++++++++++          
    +++++++++++++++++         
  ++++++++++++++++++++        
  +++++++++++++++++++++       
   ++++++++++++++++++++       
   *+++++++++++++++++++*      
    *++++++++++++++++****     
    **++++++++++++++*****     
     **+++++++++++********    
      *++++++++++*********    
      **+++++++************   
       **+++++*************   
        **+++*************    
         *+*************      
         +*************       
          ***********         
           *********          
            *******           
            *****             
             ***`,`+++              
            ++++              
           ++++++             
         +++++++++            
        ++++++++++            
      *++++++++++++           
     +++++++++++++++          
    +++++++++++++++++         
  +++++++++++++++++++         
  ++++++++++++++++++++        
   ++++++++++++++++++++       
   +++++++++++++++++++*       
    ++++++++++++++++****      
     ++++++++++++++******     
     %+++++++++++********#    
      ++++++++++**********    
       ++++++++************   
        +++++**************   
        ++++**************    
         ++*************      
          *************       
          #***********        
           *********          
            *******           
             ****             
             ***`,`++*              
            ++++              
           ++++++             
         +++++++++            
        +++++++++++           
      ++++++++++++++          
     +++++++++++++++=         
   *+++++++++++++++++         
  ++++++++++++++++++++        
  +++++++++++++++++++++       
  +++++++++++++++++++++       
   +++++++++++++++++++++      
    ++++++++++++++++**++:     
    ++++++++++++++*****++     
     ++++++++++++*******++    
      +++++++++**********+:   
      ++++++++*************   
       ++++++**************   
        +++***************    
        ++***************     
         **************       
          ************        
           *********          
            *******           
             ****#            
             ***`,`++               
            ++++              
          +++++++             
         +++++++++            
        +++++++++++           
      ++++++++++++++          
     ++++++++++++++++         
   +++++++++++++++++++        
  ++++++++++++++++++++        
  +++++++++++++++++++++       
  ++++++++++++++++++++++      
   +++++++++++++++++*+++      
   %+++++++++++++++***+++     
    +++++++++++++******++     
     +++++++++++********++    
     ++++++++++**********+=   
      +++++++**************   
       +++++***************   
       +++****************    
        ++***************     
        #**************       
         #************        
          ***********         
           #*******           
            #*****            
             #**`,`++               
            ++++              
          +++++++*            
         ++++++++++           
       +++++++++++++          
      +++++++++++++++         
     +++++++++++++++++        
   +++++++++++++++++++        
  +++++++++++++++++++++       
  +++++++++++++++++++++:      
  ++++++++++++++++++++++      
   ++++++++++++++++*+++++     
   +++++++++++++++***++++     
    +++++++++++++******+++    
    +++++++++++*********++    
     +++++++++***********++   
     ++++++++************++   
      +++++****************@  
       +++****************    
       +*****************     
        ***************       
         *************        
          ***********         
           ********           
            ******            
              ***`,`++               
           +++++              
          ++++++++            
         ++++++++++           
       +++++++++++++          
      +++++++++++++++=        
     +++++++++++++++++:       
   ++++++++++++++++++++       
  +++++++++++++++++++++       
  ++++++++++++++++++++++      
  ++++++++++++++++++++++      
   ++++++++++++++++*+++++     
   ++++++++++++++****++++     
    ++++++++++++******++++    
    +++++++++++********+++    
     ++++++++************++   
     +++++++*************++   
      +++++****************@  
      +++*****************    
      ++*****************     
       ****************       
         *************        
          ***********         
           ********           
            ******            
              ***`,`++               
           +++++@             
          ++++++++            
         ++++++++++           
       ++++++++++++++         
      ++++++++++++++++        
     ++++++++++++++++++       
   ++++++++++++++++++++:      
  ++++++++++++++++++++++      
  ++++++++++++++++++++++      
  +++++++++++++++++++++++     
  @+++++++++++++++*++++++     
   +++++++++++++****++++++    
   ++++++++++++******+++++    
    ++++++++++*********+++    
    ++++++++************+++   
     ++++++**************++   
     +++++*****************   
     :++******************    
      +******************     
       ****************@      
        **************        
          ***********         
           ********           
            ******            
              ***`,`+++               
           +++++              
          ++++++++            
         ++++++++++           
       ++++++++++++++         
      ++++++++++++++++:       
     +++++++++++++++++++      
   *++++++++++++++++++++      
  ++++++++++++++++++++++      
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
   ++++++++++++++*+++++++     
   +++++++++++++***+++++++    
   +++++++++++*******+++++    
    +++++++++*********++++    
    ++++++++************+++   
    ++++++***************++   
     ++++******************   
     +++******************    
     ++******************     
      *****************       
        **************        
         ************         
           *********          
            ******            
              ***`,`+++               
           +++++              
          ++++++++            
         +++++++++++          
       ++++++++++++++         
      +++++++++++++++++       
     +++++++++++++++++++      
   :++++++++++++++++++++      
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
   +++++++++++++*++++++++*    
   ++++++++++++****+++++++    
   +++++++++++******++++++    
   +++++++++**********++++    
    +++++++************++++   
    ++++++***************++   
    +++++******************   
     ++*******************    
     +*******************     
      *****************       
       ***************        
         ************         
           ********+          
            ******            
              ***`,`+++               
           +++++              
          ++++++++            
         +++++++++++          
       ++++++++++++++         
      +++++++++++++++++       
     +++++++++++++++++++      
   :++++++++++++++++++++      
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
   +++++++++++++*++++++++*    
   ++++++++++++****+++++++    
   +++++++++++******++++++    
   +++++++++**********++++    
    +++++++************++++   
    ++++++***************++   
    +++++******************   
     ++*******************    
     +*******************     
      *****************       
       ***************        
         ************         
           ********+          
            ******            
              ***`,`+++               
           +++++              
          ++++++++            
         +++++++++++          
       ++++++++++++++*        
      +++++++++++++++++       
     ++++++++++++++++++++     
    +++++++++++++++++++++     
  +++++++++++++++++++++++     
  +++++++++++++++++++++++     
  *++++++++++++++++++++++     
   ++++++++++++*++++++++++    
   +++++++++++****++++++++    
   ++++++++++*******++++++    
   +++++++++*********+++++    
    ++++++*************+++=   
    +++++****************++   
    ++++*******************   
    +++*******************    
    +*******************      
     ******************       
       ***************        
         ************         
          @*********          
            ******            
              ***`,`+++               
           +++++              
          ++++++++            
         +++++++++++          
       +++++++++++++++        
      ++++++++++++++++++      
     ++++++++++++++++++++     
    +++++++++++++++++++++     
   ++++++++++++++++++++++     
  %++++++++++++++++++++++     
   +++++++++++++++++++++++    
   +++++++++++*+++++++++++    
   ++++++++++****+++++++++    
   +++++++++*******+++++++    
   ++++++++**********+++++    
   :++++++*************+++    
    +++++***************+++   
    +++********************   
    ++*******************     
    +*******************      
     ******************       
       ***************        
         ************         
          #*********          
            ******#           
              ***`,`++*               
           +++++              
          ++++++++            
         +++++++++++          
        ++++++++++++++        
      %+++++++++++++++++      
     ++++++++++++++++++++     
    +++++++++++++++++++++     
   +++++++++++++++++++++++    
   ++++++++++++++++++++++*    
   +++++++++++++++++++++++    
   ++++++++++*++++++++++++    
   +++++++++****++++++++++    
   ++++++++*******++++++++    
   +++++++**********++++++    
   *+++++*************++++    
    ++++****************++    
    +++*******************    
    ++*******************     
    +*******************      
    @******************       
       ***************        
        #************         
          **********          
            *******           
              ***`,`++                
           +++++              
          ++++++++            
         +++++++++++          
        ++++++++++++++        
       +++++++++++++++++      
      +++++++++++++++++++*    
     +++++++++++++++++++++    
   +++++++++++++++++++++++    
   +++++++++++++++++++++++    
   +++++++++++++++++++++++    
   ++++++++++*++++++++++++    
   +++++++++****++++++++++    
   ++++++++*******++++++++    
   +++++++**********++++++    
   ++++++*************++++    
   +++++***************+++    
   ++++******************+    
   +++*******************     
    ********************      
    *******************       
      ***************#        
        *************         
          **********          
            *******           
              ****`,`++                
           +++++              
          ++++++++            
         +++++++++++*         
        ++++++++++++++*       
       ++++++++++++++++++     
      ++++++++++++++++++++    
     +++++++++++++++++++++    
    ++++++++++++++++++++++    
    ++++++++++++++++++++++    
    ++++++++++++++++++++++    
    ++++++++*++++++++++++*    
    +++++++****+++++++++++    
    ++++++*******+++++++++    
    +++++**********+++++++    
   +++++*************++++     
   ++++****************++     
   +++*******************     
   ++*******************      
   +*******************       
    ******************        
      ***************         
        ************@         
          **********          
            *******           
              ****`,`++                
           +++++              
          ++++++++=           
         ++++++++++++         
        +++++++++++++++       
       ++++++++++++++++++     
      ++++++++++++++++++++    
     :++++++++++++++++++++    
    *+++++++++++++++++++++    
    ++++++++++++++++++++++    
    ++++++++++++++++++++++    
    +++++++*++++++++++++++    
    ++++++****+++++++++++     
    +++++*******+++++++++     
    ++++**********+++++++     
   %+++*************+++++     
   ++++***************+++     
   +++*******************     
   ++*******************      
   +*******************       
    ******************        
      ***************         
        ************          
          *********@          
            *******           
              ****`,`=++                
           +++++              
          ++++++++=           
         ++++++++++++         
        +++++++++++++++       
        +++++++++++++++++     
       +++++++++++++++++++    
      ++++++++++++++++++++    
     +++++++++++++++++++++    
     +++++++++++++++++++++    
    :++++++++++++++++++++*    
    ++++++*++++++++++++++     
    +++++****++++++++++++     
    ++++*******++++++++++     
    ++++*********++++++++     
    +++*************+++++     
   +++****************++      
   ++*******************      
   ++******************       
   ********************       
   +******************        
      ***************         
        ************          
          *********           
            *******           
              ****`,`+++                
           +++++              
          ++++++++%           
         ++++++++++++         
         ++++++++++++++       
        +++++++++++++++++     
       +++++++++++++++++++    
      ++++++++++++++++++++    
      ++++++++++++++++++++    
     +++++++++++++++++++++    
     ++++++++++++++++++++     
     ++++*+++++++++++++++     
    %++++***+++++++++++++     
    ++++*******++++++++++     
    +++**********+++++++      
    ++*************+++++      
   %++***************+++      
   ++******************+      
   ++******************       
   *******************        
   ******************         
      **************+         
        ************          
          *********           
            *******           
               ***`,`+++                
           +++++              
          ++++++++%           
         *+++++++++++         
         ++++++++++++++       
        +++++++++++++++++     
        ++++++++++++++++++    
       +++++++++++++++++++    
      ++++++++++++++++++++    
      +++++++++++++++++++*    
      +++++++++++++++++++     
     ++++++++++++++++++++     
     +++****+++++++++++++     
     ++*******++++++++++      
    +++*********++++++++      
    ++************++++++      
    ++**************+++       
   ++******************       
   +******************        
   ******************+        
   ******************         
      **************          
        ************          
          *********           
            *******           
               ***`,`+++                
           +++++              
          ++++++++%           
         *+++++++++++         
         ++++++++++++++       
        +++++++++++++++++     
        ++++++++++++++++++    
       +++++++++++++++++++    
      ++++++++++++++++++++    
      +++++++++++++++++++*    
      +++++++++++++++++++     
     ++++++++++++++++++++     
     +++****+++++++++++++     
     ++*******++++++++++      
    +++*********++++++++      
    ++************++++++      
    ++**************+++       
   ++******************       
   +******************        
   ******************+        
   ******************         
      **************          
        ************          
          *********           
            *******           
               ***`,`+++                
           +++++              
          ++++++++            
          ++++++++++=         
         ++++++++++++++       
         ++++++++++++++++     
        ++++++++++++++++++    
        ++++++++++++++++++    
       +++++++++++++++++++    
       ++++++++++++++++++     
      +++++++++++++++++++     
      ++*+++++++++++++++*     
     ++****+++++++++++++      
     ++******+++++++++++      
     +*********++++++++       
    ++***********++++++       
    +***************+++       
   +******************        
   +******************        
   ******************         
   ******************         
      **************          
        ***********+          
          *********           
            #*****            
               ***`,`+++                
           +++++              
          ++++++++            
          +++++++++++         
         ++++++++++++++       
         ++++++++++++++++     
        ++++++++++++++++++    
        ++++++++++++++++++    
        ++++++++++++++++++    
       ++++++++++++++++++     
       ++++++++++++++++++     
      **++++++++++++++++      
      ****++++++++++++++      
     *******+++++++++++       
     **********++++++++       
    *************+++++#       
    ***************+++        
    ******************        
   ******************         
   ******************         
   *****************          
      **************          
        ***********           
          *********           
             ***+*            
               ***`,`+++                
           +++++              
          ++++++++            
          +++++++++++         
         ++++++++++++++       
         ++++++++++++++++     
        ++++++++++++++++++    
       *++++++++++++++++++    
       ++++++++++++++++++*    
      =+++++++++++++++++*     
      ++++++++++++++++++*     
      *++++++++++++++++**     
     ****++++++++++++++*      
     *******++++++++++**      
    **********++++++++**      
    ************+++++**       
    **************+++**       
   :******************        
   *******************        
   ******************         
   ******************         
      **************          
        ************          
          #********           
             ******           
               ***`,`+++                
          ++++++              
          ++++++++            
         +++++++++++          
         +++++++++++++*       
        +++++++++++++++++     
        ++++++++++++++++++    
       ++++++++++++++++++*    
      *++++++++++++++++++*    
      ++++++++++++++++++*     
     +++++++++++++++++++*     
     *+++++++++++++++++**     
     ****+++++++++++++***     
    +******+++++++++++**@     
    *********++++++++***      
    ***********+++++****      
    **************++***       
   ********************       
   *******************        
   *******************        
   ******************         
      **************@         
        ************          
          @********           
             ******           
               ***`,`+++                
          ++++++              
          ++++++++            
         +++++++++++          
        *+++++++++++++        
        ++++++++++++++++=     
       +++++++++++++++++++    
       ++++++++++++++++++*    
      ++++++++++++++++++**    
     +++++++++++++++++++*+    
     ++++++++++++++++++**     
    **++++++++++++++++***     
    ****++++++++++++++***     
    ******+++++++++++****     
    ********++++++++*****     
    ***********+++++*****     
    *************++*****      
   +*******************       
   ********************       
   *******************        
    *****************         
      ***************         
        #***********          
           *********          
             ******           
               ***`,`++*                
          ++++++              
          ++++++++            
         +++++++++++          
        ++++++++++++++        
       @++++++++++++++++      
       ++++++++++++++++++*    
      +++++++++++++++++++#    
     =++++++++++++++++++**    
     ++++++++++++++++++***    
    ++++++++++++++++++***%    
    *+++++++++++++++++***     
    ***++++++++++++++****     
    *****+++++++++++*****     
    ********++++++++*****     
    **********+++++******     
    ************++******%     
    ********************      
   @*******************       
   *******************        
    ******************        
      #**************         
         ***********          
           *********          
             ******           
               ***`,`+++                
          ++++++              
         =++++++++            
         +++++++++++          
        ++++++++++++++        
       +++++++++++++++++      
       ++++++++++++++++++     
      ++++++++++++++++++*     
     +++++++++++++++++++*     
    +++++++++++++++++++***    
   +++++++++++++++++++****    
   **++++++++++++++++*****    
   ****+++++++++++++******    
   ******+++++++++++******    
    *******++++++++*******    
    *********+++++********    
    ***********+++*******     
    ********************      
    *******************+      
    *******************       
     *****************        
       **************         
         ************         
           *********          
             ******           
               ***`,`+++                
          ++++++              
         ++++++++*            
         +++++++++++          
        +++++++++++++*        
       ++++++++++++++++*      
      ++++++++++++++++++*     
     +++++++++++++++++++*     
     ++++++++++++++++++**     
    ++++++++++++++++++***     
   ++++++++++++++++++*****    
   *+++++++++++++++++*****    
   ***++++++++++++++******    
   *****+++++++++++*******    
   *******++++++++********    
   :********++++++********    
    **********+++********     
    *********************     
    ********************      
    *******************       
     *****************        
       **************#        
         ************         
           *********          
             ******           
               ***`,`++                 
          +++++               
         ++++++++             
        +++++++++++           
        +++++++++++++         
       ++++++++++++++++       
      ++++++++++++++++++*     
     ++++++++++++++++++**     
    ++++++++++++++++++***     
    ++++++++++++++++++***     
  @++++++++++++++++++*****    
  %*++++++++++++++++******    
   ***+++++++++++++*******    
   *****++++++++++********    
   *******++++++++*********   
   +********+++++**********   
    *********+++**********    
    *********************     
    ********************      
    *******************       
     *****************#       
       ***************        
         ************         
           *********          
             ******           
               ***`,`++                 
          +++++               
         ++++++++             
        +++++++++++           
       =+++++++++++++         
       ++++++++++++++++       
      ++++++++++++++++++      
     ++++++++++++++++++**     
    ++++++++++++++++++***     
   ++++++++++++++++++****     
  ++++++++++++++++++*****#    
  *++++++++++++++++*******    
  #**+++++++++++++********    
   ****+++++++++++*********   
   ******++++++++**********   
    *******+++++***********   
    *********++***********    
    *********************     
    @*******************      
     ******************#      
      *****************       
        **************        
          ***********         
           #********          
             ******           
               ***`,`++                 
          +++++               
         ++++++++             
        +++++++++++           
       ++++++++++++++         
      =+++++++++++++++        
      +++++++++++++++++*      
     ++++++++++++++++++*      
    +++++++++++++++++***#     
   ++++++++++++++++++****     
  ++++++++++++++++++*****     
  *++++++++++++++++*******    
  ***+++++++++++++********    
   ***+++++++++++**********   
   *****++++++++***********   
    ******+++++************   
    ********++************:   
    #********************+    
     ********************     
     *******************      
      *****************       
        **************        
          ***********         
            ********          
             ******           
               ***`,`++                 
          +++++               
         ++++++++             
        +++++++++++           
       ++++++++++++++         
      =+++++++++++++++        
      +++++++++++++++++*      
     ++++++++++++++++++*      
    +++++++++++++++++***#     
   ++++++++++++++++++****     
  ++++++++++++++++++*****     
  *++++++++++++++++*******    
  ***+++++++++++++********    
   ***+++++++++++**********   
   *****++++++++***********   
    ******+++++************   
    ********++************:   
    #********************+    
     ********************     
     *******************      
      *****************       
        **************        
          ***********         
            ********          
             ******           
               ***`,`++                 
          +++++               
         ++++++++             
        ++++++++++            
       +++++++++++++          
      ++++++++++++++++        
     ++++++++++++++++++       
    *+++++++++++++++++**      
    +++++++++++++++++***      
   +++++++++++++++++*****     
  +++++++++++++++++******     
  ++++++++++++++++********    
  **+++++++++++++*********    
   ***++++++++++***********   
   *****+++++++*************  
    *****+++++*************#  
    *******++**************   
     *********************    
     ********************     
      ******************      
       ****************       
         *************        
          ***********         
            ********          
              *****           
               ***`}
